Sign in Start for free

Signing

Request the current signing key configuration

GET /api/signingkeyconfiguration

Response

200 — The current signing key configuration

  • ExpireAfterDays integer
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • PublicKeyHostingLocation enum
    Allowed values: Internal, External.
  • RevokeAfterDays integer

Example Response

JSON
{
  "ExpireAfterDays": 0,
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "PublicKeyHostingLocation": "Internal",
  "RevokeAfterDays": 0
}

Set the signing key configuration

PUT /api/signingkeyconfiguration

Request Body

  • ExpireAfterDays integer (required)
    Minimum 1. Maximum 365.
  • PublicKeyHostingLocation enum
    Allowed values: Internal, External.
  • RevokeAfterDays integer (required)
    Minimum 1. Maximum 365.

Response

200 — The updated signing key configuration

  • ExpireAfterDays integer
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • PublicKeyHostingLocation enum
    Allowed values: Internal, External.
  • RevokeAfterDays integer

Example Request

JSON
{
  "ExpireAfterDays": 0,
  "PublicKeyHostingLocation": "Internal",
  "RevokeAfterDays": 0
}

Example Response

JSON
{
  "ExpireAfterDays": 0,
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "PublicKeyHostingLocation": "Internal",
  "RevokeAfterDays": 0
}

Create a new key that is pending activation

POST /api/signingkeys/pending/generate/v1

Response

200 — Returns the Id of the generated signing key.

  • Id string

Example Response

JSON
{
  "Id": "string"
}

Activate an existing pending signing key, making it the active signing key for the system

POST /api/signingkeys/pending/{id}/activate/v1

Path Parameters

  • id string (required)

Response

200 — Indicates the key was activated

Example Response

JSON
{}

Validate that the public signing keys are valid and can be used to verify signatures. This is intended to be used as a health check for external key hosting, and will return an error if the keys are invalid or expired

POST /api/signingkeys/verify/v1

Request Body

  • IncludeExpiredKeys boolean
  • Issuer string

Response

200 — Response to VerifySigningKeysCommandV1. An empty response indicates that the signing keys are valid and can be used to verify signatures. If the signing keys are invalid or expired, an error will be returned instead of this response.

Example Request

JSON
{
  "IncludeExpiredKeys": true,
  "Issuer": "string"
}

Example Response

JSON
{}